GSTR-2B Regeneration Status
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-2b/regenerate \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-2b/regenerate"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-2b/regenerate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"data": {
"err_cd": "",
"err_msg": "",
"status_cd": "P"
},
"status_cd": "1"
},
"timestamp": 1763446641000,
"transaction_id": "a09371de-fc91-466b-80fd-d85430583ee2"
}GSTR-2B Regeneration Status
Get status of the GSTR-2B regeneration.
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-2b
/
regenerate
GSTR-2B Regeneration Status
Response body schema
View response body schema
Headers
GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.
API key for identification
API version
Query Parameters
Reference id received from Regenerate GSTR-2B API
Example:
"{{reference_id}}"
Was this page helpful?
āI